import * as riot from 'riot';
import TinyConsent from './src/TinyConsent.riot';
import TinyConsentButton from './src/TinyConsentButton.riot';

riot.register('tiny-consent', TinyConsent);
riot.register('tiny-consent-button', TinyConsentButton);

const data = {
    cookies: [{
        title: 'Matomo',
        name: 'matamo_',
        id: 'matamo',
        content: '',
        handleAgree: function() {
            console.log('agree');
        },
        handleReject: function() {
            console.log('reject');
        }
    },{
        id: 'wordpress',
        name: 'wordpress_',
        content: 'Wordpress und WooCommerce nutzen Session, diese werden zum einen für den Login genutzt, aber auch für den Warenkorb.',
        essential: true
    }]
};

riot.mount('tiny-consent', data);
riot.mount('tiny-consent-button');